Obter empresa
curl --request GET \
--url https://api-vendas.taximachine.com.br/api/v2/integracao/empresas/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'api-key: <api-key>'import requests
url = "https://api-vendas.taximachine.com.br/api/v2/integracao/empresas/{id}"
headers = {
"Authorization": "Basic <encoded-value>",
"api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Basic <encoded-value>', 'api-key': '<api-key>'}
};
fetch('https://api-vendas.taximachine.com.br/api/v2/integracao/empresas/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "12",
"nome": "101512 - Banco Itau2",
"numero_contrato": "997104",
"endereco": null,
"complemento": null,
"bairro": null,
"cidade": null,
"uf": null,
"cep": null,
"lat": null,
"lng": null,
"telefone": null,
"telefone_internacional": null,
"status_empresa": "S",
"data_hora_cadastro": null,
"dados_extras": null,
"tipo_documento": "CNPJ",
"documento": "42.129.155/0001-72",
"tipos_pagamento": [
"C",
"D"
],
"categorias": [
{
"id": "71",
"nome": "Comum"
}
]
}
}Empresas
Obter empresa
Retorna dados de uma empresa específica.
GET
/
empresas
/
{id}
Obter empresa
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Obrigatório. Sua chave API.
Path Parameters
identificador da empresa
Response
200 - application/json
Sucesso
⌘I
